#!/bin/bash


if [ $# -eq 1 ];then
	if [ $1 == "stop" ];then
		rmmod v4l2loopback
		chmod 660 /dev/video0
		# rm /usr/lib/udev/rules.d/96-camerashunting-env.rules
		exit 0
	fi
fi

lsmod | grep v4l2loopback &> /dev/null

# FIXME: 
# 现在内核里面v4l2loopback-ctl还不支持ADD命令，无法在runtime新增摄像头
# 因此只能卸载掉模块然后重新加载,正常应该判断存在内容后,用命令新增摄像头
# 以避免卸载掉别人要使用的摄像头
if [ $? -eq 0 ];then
	rmmod v4l2loopback
fi

# ln -sf /etc/camerashunting/96-camerashunting-env.rules /usr/lib/udev/rules.d/96-camerashunting-env.rules
modprobe v4l2loopback exclusive_caps=1,1 video_nr=8,9 card_label="normal","tobii"